<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
    <h:head> 
        <title>VIDEOJUEGOS</title>
        <h:outputStylesheet library="css" name="bootstrap.min.css"/>
        <h:outputScript library="js" name="bootstrap.min.js"/>
    </h:head>
    <h:body>
        <h:form id="frmVideojuegos">
            
            <!--NAVBAR-->
            <h:panelGroup id="Navbar" class="navbar navbar-expand-lg navbar-light bg-light">
                <h:panelGroup class="container-fluid">
                    <h:panelGroup class="me-auto">
                        <h:graphicImage style="width: 4rem" library="img" name="logoGRupo.jpg"/>
                        <h:commandButton class="navbar-toggler">
                            <!--<h:outputText class="navbar-toggler-icon"/>-->
                        </h:commandButton>
                    </h:panelGroup>
                    
                    <h:panelGroup class="collapse navbar-collapse" id="navbarSupportedContent">
                        <h:panelGroup class="navbar-nav me-auto mb-2 mb-lg-0">
                            <h:panelGroup class="nav-item">
                                <h:link class="nav-link" outcome="/Menu" value="INICIO"/>
                            </h:panelGroup>
                            <h:panelGroup class="nav-item">
                                <h:link class="nav-link active" outcome="/Videojuegos" value="VIDEOJUEGOS"/>
                            </h:panelGroup>
                            <h:panelGroup class="nav-item">
                                <h:link class="nav-link" outcome="/Accesorios" value="ACCESORIOS"/>
                            </h:panelGroup>
                            <h:panelGroup class="nav-item">
                                <h:link class="nav-link" outcome="/Consolas" value="CONSOLAS"/>
                            </h:panelGroup>
                            <h:panelGroup class="nav-item">
                                <h:link class="nav-link" outcome="/Carrito" value="CARRITO"/>
                            </h:panelGroup>
                        </h:panelGroup>
                    </h:panelGroup>
                    <h:panelGroup class="d-flex w-50">
                        <h:panelGroup class="d-none d-md-flex">
                            <p:inputText class="form-control me-2" type="search" placeholder="BUSCAR"/>
                            <h:commandButton class="btn btn-outline-success" value="BUSCAR"/>
                        </h:panelGroup>
                        <h:panelGroup class="d-flex ms-auto">
                            <h:commandButton class="btn btn-outline-primary mx-2" id="btnAcceder" action="Usuario" value="ACCEDER"/>
                            <h:commandButton class="btn btn-outline-warning mx-2" id="btnRegistrarse" action="NuevoUsuario" value="REGISTRARSE"/>
                        </h:panelGroup>
                    </h:panelGroup>
                </h:panelGroup>
            </h:panelGroup>
            
            <!--CONTENT-->
            <h:panelGroup class="d-flex my-3">
                <p:dataView class="w-100 mx-2" value="#{mbProducto.lstVideojuegos}" var="product">
                    <p:dataViewListItem>
                        <h:panelGroup class="d-flex align-items-center m-2">
                            <h:graphicImage class="d-block" style="width: 12em" library="img" name="#{product.nombre}.jpg"/>
                            <h:panelGroup class="ms-3 w-50">
                                <h:panelGroup class="container-fluid"> 
                                    <h:panelGroup class="row row-cols-1 row-cols-md-2 mt-2 mt-md-0">
                                        <h:panelGroup class="col-4 col-lg-3">
                                            <h:outputLabel class="fw-bold" value="Nombre: "/>
                                        </h:panelGroup>
                                        <h:panelGroup class="col">
                                            <h:outputText class="d-block" value="#{product.nombre}"/>
                                        </h:panelGroup>
                                    </h:panelGroup>
                                    
                                    <h:panelGroup class="row row-cols-1 row-cols-md-2 mt-2 mt-md-0">
                                        <h:panelGroup class="col-4 col-lg-3">
                                            <h:outputLabel class="fw-bold" value="Decripción: "/>
                                        </h:panelGroup>
                                        <h:panelGroup class="col">
                                            <h:outputText class="d-block" value="#{product.descripcion}"/>
                                        </h:panelGroup>
                                    </h:panelGroup>
                                    
                                    <h:panelGroup class="row row-cols-1 row-cols-md-2 mt-2 mt-md-0">
                                        <h:panelGroup class="col-4 col-lg-3">
                                            <h:outputLabel class="fw-bold" value="Precio: "/>
                                        </h:panelGroup>
                                        <h:panelGroup class="col">
                                            <h:outputText class="d-block" value="$#{product.precio}"/>
                                        </h:panelGroup>
                                    </h:panelGroup>
                                </h:panelGroup>
                                <h:commandButton class="btn btn-outline-success mt-3" id="btnAgregar" value="Agregar al Carrito"/>
                            </h:panelGroup>
                        </h:panelGroup> 
                    </p:dataViewListItem>
                </p:dataView>
            </h:panelGroup>
            
            <!--FOOTER-->
            <h:panelGroup class="d-block bg-dark p-3">
                <h:panelGroup class="container-fluid row row-cols-2 row-cols-md-4">
                    <h:panelGroup class="col my-3 m-md-0">
                        <h:graphicImage class="d-block" style="height: 7rem" library="img" name="logoGRupo.jpg"/>
                        <h:outputText class="d-block text-white mt-2" value="&copy; 2022–2023"/>
                    </h:panelGroup>
                    <h:panelGrid class="col my-3 m-md-0" columns="1">
                        <h:outputText class="text-white fw-bold" value="Acerca"/>
                        <h:link class="text-decoration-none text-white" value="Mi cuenta"/>
                        <h:link class="text-decoration-none text-white" outcome="/Carrito" value="Verificar pedido"/>
                        <h:link class="text-decoration-none text-white" outcome="/Politica" value="Política de privacidad"/>
                        <h:link class="text-decoration-none text-white" outcome="/Terminos" value="Términos y condiciones"/>
                        <h:link class="text-decoration-none text-white" value="Another one"/>
                        <h:link class="text-decoration-none text-white" value="Last time"/>
                    </h:panelGrid>
                    <h:panelGroup class="col my-3 m-md-0" >
                        <h:panelGrid columns="1">
                            <h:outputText class="text-white fw-bold" value="Resources"/>
                            <h:link class="text-decoration-none text-white" value="Resource"/>
                            <h:link class="text-decoration-none text-white" value="Resource name"/>
                            <h:link class="text-decoration-none text-white" value="Another resource"/>
                            <h:link class="text-decoration-none text-white" value="Final resource"/>
                        </h:panelGrid>
                    </h:panelGroup>
                    <h:panelGroup class="col my-3 m-md-0" >
                        <h:panelGrid columns="1">
                            <h:outputText class="text-white fw-bold" value="Quienes Somos"/>
                            <h:link class="text-decoration-none text-white" value="Team"/>
                            <h:link class="text-decoration-none text-white" value="Locations"/>
                            <h:link class="text-decoration-none text-white" value="Privacy"/>
                            <h:link class="text-decoration-none text-white" value="Terms"/>
                        </h:panelGrid>
                    </h:panelGroup>
                </h:panelGroup>
            </h:panelGroup>
        </h:form>
    </h:body>
</html>

